## apt-setup 0.192

=== debian/changelog ===
apt-setup (1:0.192) unstable; urgency=medium

  * Team upload.

  [ Updated translations ]
  * Arabic (ar.po) by Amr Walryh
  * Belarusian (be.po) by vics
  * Persian (fa.po) by Danial Behzadi
  * Finnish (fi.po) by Ricky Tigg
  * Italian (it.po) by Milo Casagrande
  * Korean (ko.po) by Changwoo Ryu
  * Polish (pl.po) by Matthaiks
  * Traditional Chinese (zh_TW.po) by reimu105

 -- Holger Wansing <hwansing@mailbox.org>  Sun, 02 Feb 2025 22:26:15 +0100

## apt-setup 0.193

=== debian/changelog ===
apt-setup (1:0.193) unstable; urgency=medium

  * Team upload.

  [ Updated translations ]
  * Galician (gl.po) by Parodper
  * Croatian (hr.po) by Valentin Vidic
  * Hungarian (hu.po) by Szia Tomi
  * Lithuanian (lt.po) by Rimas Kudelis
  * Serbian (sr.po) by Мирослав Николић
  * Uyghur (ug.po) by Abduqadir Abliz
  * Vietnamese (vi.po) by Dagon Vn

 -- Holger Wansing <hwansing@mailbox.org>  Tue, 01 Apr 2025 00:09:57 +0200

## apt-setup 0.194

=== debian/changelog ===
apt-setup (1:0.194) unstable; urgency=medium

  * Team upload.

  [ Stéphane Blondon ]
  * Delete unused ubuntu generator. Utuntu no longer uses apt-setup.

 -- Holger Wansing <hwansing@mailbox.org>  Tue, 29 Apr 2025 12:42:52 +0200

## apt-setup 0.194trisquel3

=== debian/changelog ===
apt-setup (1:0.194trisquel3) ecne; urgency=medium

  * Rebranded and adapted for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 12 May 2025 19:03:00 +0000

## apt-setup 0.195

=== debian/changelog ===
apt-setup (1:0.195) unstable; urgency=medium

  [ Pascal Hambourg ]
  * finish-install: Disable cdrom sources if installation medium is not
    a real CD (USB stick, SD card, ISO file), because APT cannot use it
    after the installation (Closes: #1102140, #1103650).

  [ Roland Mas ]
  * Allow preseeding extra options for the local sources.list lines; a
    possible use case is to allow specifying check-valid-until=false on
    local repositories without conflicting with the signed-by= option.

  [ Updated translations ]
  * Greek (el.po) by galaxico
  * Hungarian (hu.po) by Szia Tomi
  * Latvian (lv.po) by Coool
  * Telugu (te.po) by Sripath Roy Koganti
  * Uyghur (ug.po) by Abduqadir Abliz

 -- Cyril Brulebois <kibi@debian.org>  Mon, 26 May 2025 20:23:24 +0200

## apt-setup 0.195devuan1

=== debian/changelog ===
apt-setup (1:0.195devuan1) unstable; urgency=medium

  * Merge tag 0.195.

 -- Mark Hindley <mark@hindley.org.uk>  Mon, 26 May 2025 22:11:49 +0100

apt-setup (1:0.194devuan1) unstable; urgency=medium

  * Merge tag 0.194.

 -- Mark Hindley <mark@hindley.org.uk>  Tue, 29 Apr 2025 12:12:13 +0100

apt-setup (1:0.193devuan1) unstable; urgency=medium

  * Merge tag 0.193.

 -- Mark Hindley <mark@hindley.org.uk>  Tue, 01 Apr 2025 08:13:58 +0100

apt-setup (1:0.192devuan2) unstable; urgency=medium

  * Avoid "security", "updates" and "backports" sources for  "testing"

 -- Ralph Ronnquist <rrq@rrq.au>  Mon, 31 Mar 2025 13:29:33 +1100

apt-setup (1:0.192devuan1) unstable; urgency=medium

  * Merge tag 0.192.

 -- Mark Hindley <mark@hindley.org.uk>  Mon, 03 Feb 2025 14:14:43 +0000

apt-setup (1:0.191devuan1) unstable; urgency=medium

  * Merge tag 0.191.

 -- Mark Hindley <mark@hindley.org.uk>  Wed, 25 Dec 2024 21:58:33 +0000

apt-setup (1:0.190devuan1) unstable; urgency=medium

  * Merge tag 0.190.

 -- Mark Hindley <mark@hindley.org.uk>  Fri, 29 Nov 2024 15:17:13 +0000

apt-setup (1:0.189devuan1) unstable; urgency=medium

  * Merge tag 0.189.

 -- Mark Hindley <mark@hindley.org.uk>  Sun, 03 Nov 2024 09:44:16 +0000

apt-setup (1:0.188devuan1) unstable; urgency=medium

  * Merge tag 0.188.
  * d/control: change Maintainer to Devuan Developers list.

 -- Mark Hindley <mark@hindley.org.uk>  Sat, 19 Oct 2024 20:27:29 +0100

apt-setup (1:0.187devuan1) unstable; urgency=medium

  * Merge tag 0.187 (with d1po-debconf helper).

 -- Mark Hindley <mark@hindley.org.uk>  Wed, 09 Oct 2024 07:33:32 +0100

apt-setup (1:0.186devuan1) unstable; urgency=medium

  * Merge tag 0.186.

 -- Mark Hindley <mark@hindley.org.uk>  Fri, 31 May 2024 11:18:26 +0100

apt-setup (1:0.185devuan1) unstable; urgency=medium

  * Merge tag 0.185.

 -- Mark Hindley <mark@hindley.org.uk>  Wed, 27 Sep 2023 20:29:17 +0100

apt-setup (1:0.184devuan1) unstable; urgency=medium

  * Merge tag 0.184.

 -- Mark Hindley <mark@hindley.org.uk>  Wed, 23 Aug 2023 09:47:25 +0100

## apt-setup 0.196devuan1

=== debian/changelog ===
apt-setup (1:0.196devuan1) unstable; urgency=medium

  * Merge tag 0.196.

 -- Mark Hindley <mark@hindley.org.uk>  Sat, 28 Jun 2025 07:45:16 +0100

apt-setup (1:0.196) unstable; urgency=medium

  * Team upload.

  [ Updated translations ]
  * Khmer (km.po) by Chou Chamnan
  * Punjabi (Gurmukhi) (pa.po) by DuskyElf
  * Russian (ru.po) by vladiruzz
  * Uyghur (ug.po) by Abduqadir Abliz

 -- Holger Wansing <hwansing@mailbox.org>  Wed, 25 Jun 2025 20:05:55 +0200

## apt-setup 0.197

=== debian/changelog ===
apt-setup (1:0.197) unstable; urgency=medium

  [ Updated translations ]
  * Hungarian (hu.po) by Szia Tomi

 -- Cyril Brulebois <kibi@debian.org>  Sun, 29 Jun 2025 15:03:31 +0200

## apt-setup 0.197devuan1

=== debian/changelog ===
apt-setup (1:0.197devuan1) unstable; urgency=medium

  * Merge tag 0.197.

 -- Mark Hindley <mark@hindley.org.uk>  Sun, 29 Jun 2025 18:58:53 +0100

## apt-setup 0.197trisquel3

=== debian/changelog ===
apt-setup (1:0.197trisquel3) ecne; urgency=medium

  * Rebranded and adapted for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 30 Jun 2025 10:27:58 +0000

=== debian/control ===
Source: apt-setup
Section: debian-installer
Priority: optional
Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
Uploaders: Steve McIntyre <93sam@debian.org>
Build-Depends: debhelper-compat (= 13),
               po-debconf,
               shunit2 <!nocheck>,
               busybox <!nocheck>,
               fakechroot <!nocheck>,
               jq <!nocheck>,
Vcs-Browser: https://salsa.debian.org/installer-team/apt-setup
Vcs-Git: https://salsa.debian.org/installer-team/apt-setup.git

Package: apt-setup-udeb
Package-Type: udeb
Architecture: any
Priority: standard
XB-Installer-Menu-Item: 7000
Depends: apt-mirror-setup, installed-base, di-utils, ${misc:Depends}
Description: Configure apt

Package: apt-mirror-setup
Package-Type: udeb
Architecture: all
Depends: choose-mirror-bin, base-installer (>= 1.195), ${misc:Depends}
Description: set up a mirror in sources.list

Package: apt-cdrom-setup
Package-Type: udeb
Architecture: all
Provides: apt-mirror-setup
Depends: cdrom-detect, ${misc:Depends}
Description: set up a CD in sources.list

## apt-setup 0.198

=== Makefile ===
##
# Project Title
#
# @file
# @version 0.1

COVERAGE_DIR := ./coverage
COVERAGE_JSON := $(COVERAGE_DIR)/kcov-merged/coverage.json

CHROOT_CMD = FAKECHROOT_EXCLUDE_PATH=/tmp:/dev:/bin:/usr/bin:/usr/share/shunit2:$(CURDIR) fakechroot chroot test/chroot ./cd-exec $(CURDIR)
KCOV_CMD = kcov --bash-parse-files-in-dir=generators --exclude-path=/usr/bin/shunit2,$(CURDIR)/test $(COVERAGE_DIR)

all:

test:
	$(CHROOT_CMD) $(CURDIR)/test/20-local-repo-upgrade.sh
	$(CHROOT_CMD) $(CURDIR)/test/60local.sh

coverage:
	$(CHROOT_CMD) $(KCOV_CMD) $(CURDIR)/test/20-local-repo-upgrade.sh
	$(CHROOT_CMD) $(KCOV_CMD) $(CURDIR)/test/60local.sh
	if [ -f "$(COVERAGE_JSON)" ] ; then jq '"Total Code Coverage: \(.percent_covered) %"' $(COVERAGE_JSON) ; fi

.PHONY: test coverage

# end

=== debian/changelog ===
apt-setup (1:0.198) unstable; urgency=medium

  [ Updated translations ]
  * Belarusian (be.po) by Drugi Sapog
  * Spanish (es.po) by Santiago Vila
  * Hungarian (hu.po) by Szia Tomi
  * Malayalam (ml.po) by Nandakumar Edamana
  * Russian (ru.po) by Алексей Шилин

 -- Cyril Brulebois <kibi@debian.org>  Sun, 20 Jul 2025 06:33:01 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: apt-setup
 Section: debian-installer
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Steve McIntyre <93sam@debian.org>
 Build-Depends: debhelper-compat (= 13),
                po-debconf,

## apt-setup 0.198devuan1

=== debian/changelog ===
apt-setup (1:0.198devuan1) unstable; urgency=medium

  * Merge tag 0.198.
  * d/po/templates.pot: fix mismerge.

 -- Mark Hindley <mark@hindley.org.uk>  Mon, 21 Jul 2025 19:04:58 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: apt-setup
 Section: debian-installer
 Priority: optional
-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
-Uploaders: Steve McIntyre <93sam@debian.org>
+Maintainer: Devuan Developers <devuan-dev@lists.dyne.org>
+Origin: Devuan
 Build-Depends: debhelper-compat (= 13),
                po-debconf,
                shunit2 <!nocheck>,
                busybox <!nocheck>,
                fakechroot <!nocheck>,
                jq <!nocheck>,
-Vcs-Browser: https://salsa.debian.org/installer-team/apt-setup
-Vcs-Git: https://salsa.debian.org/installer-team/apt-setup.git
+Vcs-Browser: https://git.devuan.org/devuan/apt-setup
+Vcs-Git: https://git.devuan.org/devuan/apt-setup.git
 
 Package: apt-setup-udeb
 Package-Type: udeb

## apt-setup 0.198devuan1+genuen6

=== debian/changelog ===
apt-setup (1:0.198devuan1+genuen6) unstable; urgency=medium

  * Merge tag 1:0.198devuan1

 -- Aitor <aitor@genuen.org>  Sat, 27 Dec 2025 10:01:09 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: apt-setup
 Section: debian-installer
 Priority: optional
-Maintainer: Devuan Developers <devuan-dev@lists.dyne.org>
-Origin: Devuan
+Maintainer: Aitor <aitor@genuen.org>
+Origin: Genuen
 Build-Depends: debhelper-compat (= 13),
                po-debconf,
                shunit2 <!nocheck>,
                busybox <!nocheck>,
                fakechroot <!nocheck>,
                jq <!nocheck>,
-Vcs-Browser: https://git.devuan.org/devuan/apt-setup
-Vcs-Git: https://git.devuan.org/devuan/apt-setup.git
+Vcs-Browser: https://git.genuen.org/apt-setup
+Vcs-Git: https://git.genuen.org/apt-setup.git
 
 Package: apt-setup-udeb
 Package-Type: udeb

## apt-setup 0.198trisquel3

=== debian/changelog ===
apt-setup (1:0.198trisquel3) ecne; urgency=medium

  * Rebranded and adapted for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 26 Jul 2025 07:26:57 +0000

## apt-setup 0.198trisquel3.1

=== debian/changelog ===
apt-setup (1:0.198trisquel3.1) ecne; urgency=medium

  * Rebranded and adapted for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 19 Aug 2025 11:27:24 +0000

## apt-setup 0.198trisquel4

=== debian/changelog ===
apt-setup (1:0.198trisquel4) ecne; urgency=medium

  * Rebranded and adapted for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 19 Aug 2025 12:46:41 +0000

## apt-setup 0.198trisquel4.3

=== debian/changelog ===
apt-setup (1:0.198trisquel4.3) ecne; urgency=medium

  * Rebranded and adapted for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 25 Aug 2025 06:12:12 +0000

## apt-setup 0.198trisquel4.4

=== debian/changelog ===
apt-setup (1:0.198trisquel4.4) ecne; urgency=medium

  * Rebranded and adapted for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 25 Aug 2025 20:57:51 +0000

## apt-setup 0.198trisquel4.5

=== debian/changelog ===
apt-setup (1:0.198trisquel4.5) ecne; urgency=medium

  * Rebranded and adapted for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 25 Aug 2025 23:30:02 +0000

## apt-setup 0.198trisquel4.6

=== debian/changelog ===
apt-setup (1:0.198trisquel4.6) ecne; urgency=medium

  * Rebranded and adapted for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 26 Aug 2025 05:22:36 +0000

## apt-setup 0.198trisquel4.7

=== debian/changelog ===
apt-setup (1:0.198trisquel4.7) ecne; urgency=medium

  * Rebranded and adapted for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 26 Aug 2025 06:34:35 +0000

## apt-setup 0.198trisquel4.8

=== debian/changelog ===
apt-setup (1:0.198trisquel4.8) ecne; urgency=medium

  * Rebranded and adapted for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 27 Aug 2025 14:46:41 +0000

## apt-setup 0.198trisquel4.9

=== debian/changelog ===
apt-setup (1:0.198trisquel4.9) ecne; urgency=medium

  * Rebranded and adapted for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 27 Aug 2025 20:34:16 +0000

## apt-setup 0.198trisquel4.9.1

=== debian/changelog ===
apt-setup (1:0.198trisquel4.9.1) ecne; urgency=medium

  * Rebranded and adapted for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 27 Aug 2025 21:08:43 +0000

## apt-setup 0.198trisquel4.10

=== debian/changelog ===
apt-setup (1:0.198trisquel4.10) ecne; urgency=medium

  * Rebranded and adapted for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 28 Aug 2025 03:27:42 +0000

## apt-setup 0.198trisquel5

=== debian/changelog ===
apt-setup (1:0.198trisquel5) ecne; urgency=medium

  * Rebranded and adapted for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 28 Aug 2025 03:55:58 +0000

## apt-setup 0.199

=== debian/changelog ===
apt-setup (1:0.199) unstable; urgency=medium

  * Team upload.

  [ Updated translations ]
  * Amharic (am.po) by emma peel
  * Bengali (bn.po) by emma peel
  * Spanish (es.po) by emma peel
  * Estonian (et.po) by Priit Jõerüüt
  * Hungarian (hu.po) by Szia Tomi
  * Kabyle (kab.po) by Azwaw
  * Kazakh (kk.po) by Baurzhan Muftakhidinov
  * Kannada (kn.po) by Prasannakumar T Bhat
  * Kurdish (ku.po) by Terciman
  * Lao (lo.po) by BoneNI
  * Serbian (sr.po) by Саша Петровић

 -- Holger Wansing <hwansing@mailbox.org>  Sun, 01 Mar 2026 22:43:09 +0100
